import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
import { createAsyncThunk } from "@reduxjs/toolkit";

export const provinceFreeSalesGetDashboardTransactionsService =
  createAsyncThunk(
    "PROVINCE_FREE_SALES_TRANSACTIONS_DASH",
    async (d, { dispatch }) => {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(
        `total-dashboard-poultry-requests-transactions`,
        {
          params: {
            date1: d.selectedDate1,
            date2: d.selectedDate2,
            role: getRoleFromUrl(),
            filter: "search",
            value: d.textValue,
          },
        }
      );
      dispatch(LOADING_END());
      return { data, status };
    }
  );
